#TEMPLATE(ClarionMagazine,'Shell template for Clarion Magazine templates'),FAMILY('ABC')
#!This template is designed to be a shell.  Include any templates you may get from
#!Clarion Magazine.
#!
#!These templates are delivered "as-is" and are not supported, nor any claims of suitability
#!for any purpose.
#!
#! Intended for C55 release - Oct 2000.
#! No backward compatability statements are made, nor implied.
#!
#SYSTEM
#PREPARE
  #SET(%TPLName, 'Clarion Magazine template set.')
#ENDPREPARE
#!
#! Add tabs for each new function of the template you may add in the future.  These
#! tabs will appear on the Applications options under the Setup menu.  Reason is
#! is because they are tied to the #SYSTEM command above.
#!
#SHEET,HSCROLL
  #TAB('Clarion Magazine')
   #INSERT  (%Head)
   #BOXED   ('About Clarion Magazine Templates'),AT(5)
     #DISPLAY ('These templates were created for Clarion'),AT(15)
     #DISPLAY ('Magazine subsribers.'),AT(15)
     #DISPLAY ('They are intended for educational purposes only,'),AT(15)
     #DISPLAY ('and are not for resale or remanufacture nor '),AT(15)
     #DISPLAY ('is any support offered. Updates (if any) will'),AT(15)
     #DISPLAY ('be at the sole discretion of the editorial'),AT(15)
     #DISPLAY ('staff at Clarion Magazine.'),AT(15)
     #DISPLAY (),AT(15)
     #INSERT(%CMFiles)
   #ENDBOXED
  #ENDTAB
  #TAB('Global Error')
    #INSERT(%Head)
    #BOXED ('Global Error Handler')
      #DISPLAY ('')
      #DISPLAY ('This template adds custom error groups to your app.')
      #DISPLAY ('You may define as many as you need.')
      #DISPLAY ()
      #DISPLAY ('You still need to write the logic needed to trap for')
      #DISPLAY ('the condition, but the setup to allow this is done')
      #DISPLAY ('with this template.')
      #DISPLAY ('')
      #DISPLAY ('Based on a idea by Russell B. Eggen')
      #DISPLAY ('SoftVelocity Education')
    #ENDBOXED
  #ENDTAB
#ENDSHEET
#DECLARE(%TPLName)
#DECLARE(%TPLDescription)
#DECLARE(%ButtonName)
#DECLARE(%CompileLinkSource)
#DECLARE(%GlobalIncList,STRING),UNIQUE
#DECLARE(%ModName)
#DECLARE(%ModInc)
#DECLARE(%ModTemp)
#DECLARE(%QueryBindTable),UNIQUE
#DECLARE(%BrowseColumns),MULTI
#DECLARE(%GlbProcList),UNIQUE
#DECLARE(%GlbBindStatement,%GlbProcList)
#DECLARE(%Eql,LONG)
#DECLARE(%Bnd,STRING)
#DECLARE(%NextLine)
#INCLUDE('CMError.tpw')             #!Global error handler
#!
#!--GROUPS------------------------------
#!-----------------------------------------------------------------------------------------------------------
#GROUP   (%Head)
#IMAGE   ('CWLOGO.ICO'), AT(,,175,26)
#DISPLAY (%TplName),AT(40,3)
#DISPLAY ('Produced by Clarion Magazine.'),AT(40,12)
#!
#!-----------------------------------------------------------------------------------------------------------
#GROUP(%MakeHead,%xTplName,%xTplDescription)
  #!IF (~VAREXISTS(%TplName))
    #!INSERT(%MakeHeadHiddenPrompts),NOINDENT
  #!ENDIF
  #SET (%TplName,%xTplName)
  #SET (%TplDescription,%xTplDescription)
#!
#!-----------------------------------------------------------------------------------------------------------
#GROUP   (%EmbedStart)
#!-----------------------------------------------------------------------------------------------------------
#! CMag.TPL        Clarion Magazine
#! Template:       %TplName - %TplDescription
#!-----------------------------------------------------------------------------------------------------------
#GROUP   (%EmbedEnd)

#!
#!-----------------------------------------------------------------------------------------------------------
#GROUP(%CMFiles)
#DISPLAY ('Clarion Magazine Template Set'),AT(15)
#DISPLAY (),AT(15)
#DISPLAY ('(C)2000 Clarion Magazine'),AT(15)
#DISPLAY()
#!-----------------------------------------------------------------------------------------------------------
#GROUP   (%SysHead)
#IMAGE   ('Extend.ICO'), AT(,,175,26)
#DISPLAY ('CMag.TPL'),AT(40,3)
#DISPLAY ('Shell Template for Clarion Magazine (ABC only)'),AT(40,12)
#!
#!-----------------------------------------------------------------------------------------------------------
#GROUP(%StripExclamation,%xIncoming)
#DECLARE(%A)
#IF(SUB(%xIncoming,1,1)='!')
  #RETURN(SUB(%xIncoming,2,LEN(%xIncoming)-1))
#ELSE
  #SET(%A,QUOTE(%xIncoming))
  #RETURN( '''' & %A & '''' )
#ENDIF
#!
#!----------------------------------------------------------------------------------------------------------
#GROUP (%MakeHeadHiddenPrompts)
#PROMPT('',@S50),%TplName
#PROMPT('',@S100),%TplDescription
#!-----------------------------------------------------------------------------------------------------------
#GROUP (%MakeObjHiddenPrompts)
#PROMPT('',@S20),%Obj1
#PROMPT('',@S20),%Obj2
#!-----------------------------------------------------------------------------------------------------------

